Subject: Re: [PATCH 0/8] powerpc/8xx: Getting rid of CONFIG_8xx

From: leroy christophe <[email-masked]>
Date: Tue, 07 Apr 2015 10:19:56 +0200

Le 25/03/2015 01:45, Scott Wood a écrit :
> On Fri, 2015-03-13 at 10:34 +1100, Michael Ellerman wrote:
>> On Thu, 2015-03-12 at 16:24 +0100, Christophe Leroy wrote:
>>> Two config options exist to define powerpc MPC8xx:
>>> * CONFIG_PPC_8xx
>>> * CONFIG_8xx
>>> In addition, CONFIG_PPC_8xx also defines CONFIG_CPM1 as
>>> communication co-processor
>>>
>>> arch/powerpc/platforms/Kconfig.cputype has contained the following
>>> comment about CONFIG_8xx item for some years:
>>> "# this is temp to handle compat with arch=ppc"
>>>
>>> It looks like not many places still have that old CONFIG_8xx used,
>>> so it is likely to be a good time to get rid of it completely ?
>>>
>>> Patchset is composed of the following patches:
>>> [1/8] powerpc: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [2/8] um: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [3/8] video: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [4/8] net: freescale: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [5/8] tty: cpm_uart: replace CONFIG_8xx by CONFIG_CPM1
>>> [6/8] mtd: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [7/8] isdn: replace CONFIG_8xx by CONFIG_PPC_8xx
>>> [8/8] powerpc: get rid of CONFIG_8xx
>>>
>>> All but the last one are independant and can be applied in any
>>> order. Only the 8th one requires the first 7 patches to be applied.
>> Sounds good.
>>
>> I only see 0, 4 and 7 on linuxppc-dev for some reason.
> I see them all in linuxppc-dev patchwork.
>
>> You'll need to collect ACKs, or get the individual patches merged, and then we
>> can take patch 8 through the powerpc tree once those are all in - probably for
>> 4.2.
> It looks like CONFIG_8xx is used a lot more than CONFIG_PPC_8xx, so it
> would be less churn to get rid of the latter (plus, we also have
> CONFIG_4xx, CONFIG_6xx, etc).  The only use of PPC_8xx I see outside
> arch/powerpc is in drivers/watchdog/Kconfig.

Ok, we can do that. But when outside of arch/powerpc/, isn't is more 
explicit with CONFIG_PPC_8xx rather that CONFIG_8xx ?

Now that I have submitted the first set of patch, don't we have a risk 
that now it is already merged by some other maintainers ?

Christophe